update stuff to latest consensus view of the world
authorKali Kaneko <kali@futeisha.org>
Wed, 4 Oct 2017 02:36:43 +0000 (04:36 +0200)
committerKali Kaneko <kali@futeisha.org>
Wed, 4 Oct 2017 02:36:43 +0000 (04:36 +0200)
12 files changed:
public/index.en.html
public/index.es.html
public/index.pt.html
public/index.ru.html
public/linux/debs/index.en.html [new file with mode: 0644]
public/linux/debs/index.es.html [new file with mode: 0644]
public/linux/debs/index.pt.html [new file with mode: 0644]
public/linux/debs/index.ru.html [new file with mode: 0644]
public/linux/index.en.html
public/linux/index.es.html
public/linux/index.pt.html
public/linux/index.ru.html

index d343857..4b7fcc9 100644 (file)
@@ -20,15 +20,6 @@ Bitmask Downloads
 <div id="TOC"><ol>
 </ol></div>
 
-<div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-danger'>
-      <i class='fa fa-warning'></i>
-      <b>WARNING:</b> Bitmask is still experimental. Please do not use these beta releases of Bitmask for situations where a compromise of your data could put you in danger.
-      <!-- Also, although Bitmask is improving rapidly, it is possible that you could lose your email when using an early beta release. -->
-    </div>
-  </div>
-</div>
 <div class='row bm-front-buttons'>
   <div class='col-sm-3 col-xs-6'>
     <a class='btn btn-default' href='/android'>
@@ -49,12 +40,12 @@ Bitmask Downloads
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
-    <a class='btn btn-default disabled' href='/mac'>
+    <a class='btn btn-default' href='https://dl.bitmask.net/client/osx/stable/Bitmask-OSX-latest.pkg'>
       <i class='fa fa-apple fa-4x'></i>
       <br>
       <b>Mac OS</b>
       <br>
-      <small>Coming very soon...</small>
+      <small>Bitmask-OSX-0.10.0.pkg</small>
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
index ebd6cbb..c7c8bb7 100644 (file)
@@ -20,15 +20,6 @@ Bitmask Downloads
 <div id="TOC"><ol>
 </ol></div>
 
-<div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-danger'>
-      <i class='fa fa-warning'></i>
-      <b>WARNING:</b> Bitmask is still experimental. Please do not use these beta releases of Bitmask for situations where a compromise of your data could put you in danger.
-      <!-- Also, although Bitmask is improving rapidly, it is possible that you could lose your email when using an early beta release. -->
-    </div>
-  </div>
-</div>
 <div class='row bm-front-buttons'>
   <div class='col-sm-3 col-xs-6'>
     <a class='btn btn-default' href='/android'>
@@ -49,12 +40,12 @@ Bitmask Downloads
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
-    <a class='btn btn-default disabled' href='/mac'>
+    <a class='btn btn-default' href='https://dl.bitmask.net/client/osx/stable/Bitmask-OSX-latest.pkg'>
       <i class='fa fa-apple fa-4x'></i>
       <br>
       <b>Mac OS</b>
       <br>
-      <small>Coming very soon...</small>
+      <small>Bitmask-OSX-0.10.0.pkg</small>
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
index 87de6f5..a9b606f 100644 (file)
@@ -20,15 +20,6 @@ Bitmask Downloads
 <div id="TOC"><ol>
 </ol></div>
 
-<div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-danger'>
-      <i class='fa fa-warning'></i>
-      <b>WARNING:</b> Bitmask is still experimental. Please do not use these beta releases of Bitmask for situations where a compromise of your data could put you in danger.
-      <!-- Also, although Bitmask is improving rapidly, it is possible that you could lose your email when using an early beta release. -->
-    </div>
-  </div>
-</div>
 <div class='row bm-front-buttons'>
   <div class='col-sm-3 col-xs-6'>
     <a class='btn btn-default' href='/android'>
@@ -49,12 +40,12 @@ Bitmask Downloads
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
-    <a class='btn btn-default disabled' href='/mac'>
+    <a class='btn btn-default' href='https://dl.bitmask.net/client/osx/stable/Bitmask-OSX-latest.pkg'>
       <i class='fa fa-apple fa-4x'></i>
       <br>
       <b>Mac OS</b>
       <br>
-      <small>Coming very soon...</small>
+      <small>Bitmask-OSX-0.10.0.pkg</small>
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
index 365e630..838e1a1 100644 (file)
 <div id="TOC"><ol>
 </ol></div>
 
-<div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-danger'>
-      <i class='fa fa-warning'></i>
-      <b>WARNING:</b> Bitmask is still experimental. Please do not use these beta releases of Bitmask for situations where a compromise of your data could put you in danger.
-      <!-- Also, although Bitmask is improving rapidly, it is possible that you could lose your email when using an early beta release. -->
-    </div>
-  </div>
-</div>
 <div class='row bm-front-buttons'>
   <div class='col-sm-3 col-xs-6'>
     <a class='btn btn-default' href='/android'>
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
-    <a class='btn btn-default disabled' href='/mac'>
+    <a class='btn btn-default' href='https://dl.bitmask.net/client/osx/stable/Bitmask-OSX-latest.pkg'>
       <i class='fa fa-apple fa-4x'></i>
       <br>
       <b>Mac OS</b>
       <br>
-      <small>Coming very soon...</small>
+      <small>Bitmask-OSX-0.10.0.pkg</small>
     </a>
   </div>
   <div class='col-sm-3 col-xs-6'>
diff --git a/public/linux/debs/index.en.html b/public/linux/debs/index.en.html
new file mode 100644 (file)
index 0000000..e5817c5
--- /dev/null
@@ -0,0 +1,76 @@
+<!DOCTYPE html>
+<html lang='en'>
+<head>
+<title>
+Bitmask debian/ubuntu repositories - Bitmask Downloads
+</title>
+<meta content='width=device-width, initial-scale=1.0' name='viewport'>
+<meta charset='utf-8'>
+<link href='/assets/bootstrap.min.css' rel='stylesheet'>
+<link href='/assets/font-awesome/css/font-awesome.min.css' rel='stylesheet'>
+<link href='/assets/style.css' rel='stylesheet'>
+<script src='/assets/js/jquery.min.js'></script>
+</head>
+<body>
+<a class='bm-masthead' href='/'></a>
+<div class='bm-bar'>
+Bitmask Downloads
+</div>
+<div class='bm-main container'>
+<h1><a name="supported-distributions"></a>Supported distributions</h1>
+
+<p>We provide packages for <strong>ubuntu</strong> <code>zesty</code> (17.04), <strong>debian</strong> <code>stretch</code> (<em>stable</em>) and <code>buster</code> (<em>testing</em>).
+Try the <a href="/en/linux#standalone-bundles">standalone bundles</a> if your distribution is not there.</p>
+
+<p>Change <code>stretch</code> in the following instructions for the one you are using:</p>
+
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
+</code></pre>
+
+<h1><a name="release-staging-or-master"></a>Release, staging, or master?</h1>
+
+<p>Above, the <code>release</code> component tracks only the <strong>stable</strong> releases. That is probably what you want to use.</p>
+
+<p>If you want <strong>alpha</strong> versions and <strong>release candidates</strong>, use <code>staging</code> in your <code>/etc/apt/sources.list.d/bitmask.list</code> file, like this:</p>
+
+<pre><code>sudo gedit /etc/apt/sources.list.d/bitmask.list
+deb http://deb.leap.se/client stretch staging
+</code></pre>
+
+<p>If you want to have the bleeding edge, use <code>master</code> instead. Beware that this can be unstable at times:</p>
+
+<pre><code>deb http://deb.leap.se/client stretch master
+</code></pre>
+
+<h1><a name="removing-the-packages"></a>Removing the packages</h1>
+
+<p>If you want to remove bitmask from your system:</p>
+
+<pre><code>sudo -s
+apt remove bitmask leap-archive-keyring
+rm /etc/apt/sources.list.d/bitmask.list
+</code></pre>
+
+<p>You probably also want to wipe all the files in your local user account, in:</p>
+
+<pre><code>~/.config/leap/
+</code></pre>
+
+</div>
+<footer>
+<div>
+(c) 2014-2016 LEAP Encryption Access Project
+</div>
+<div>
+Everything available for download on this site is free and open source software.
+<br>
+Source code available from
+<a href="https://leap.se/git/">https://leap.se/git</a>
+or
+<a href="https://github.com/leapcode">https://github.com/leapcode</a>.
+</div>
+</footer>
+</body>
+</html>
diff --git a/public/linux/debs/index.es.html b/public/linux/debs/index.es.html
new file mode 100644 (file)
index 0000000..e1d528b
--- /dev/null
@@ -0,0 +1,76 @@
+<!DOCTYPE html>
+<html lang='es'>
+<head>
+<title>
+Bitmask debian/ubuntu repositories - Bitmask Downloads
+</title>
+<meta content='width=device-width, initial-scale=1.0' name='viewport'>
+<meta charset='utf-8'>
+<link href='/assets/bootstrap.min.css' rel='stylesheet'>
+<link href='/assets/font-awesome/css/font-awesome.min.css' rel='stylesheet'>
+<link href='/assets/style.css' rel='stylesheet'>
+<script src='/assets/js/jquery.min.js'></script>
+</head>
+<body>
+<a class='bm-masthead' href='/'></a>
+<div class='bm-bar'>
+Bitmask Downloads
+</div>
+<div class='bm-main container'>
+<h1><a name="supported-distributions"></a>Supported distributions</h1>
+
+<p>We provide packages for <strong>ubuntu</strong> <code>zesty</code> (17.04), <strong>debian</strong> <code>stretch</code> (<em>stable</em>) and <code>buster</code> (<em>testing</em>).
+Try the <a href="/es/linux#standalone-bundles">standalone bundles</a> if your distribution is not there.</p>
+
+<p>Change <code>stretch</code> in the following instructions for the one you are using:</p>
+
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
+</code></pre>
+
+<h1><a name="release-staging-or-master"></a>Release, staging, or master?</h1>
+
+<p>Above, the <code>release</code> component tracks only the <strong>stable</strong> releases. That is probably what you want to use.</p>
+
+<p>If you want <strong>alpha</strong> versions and <strong>release candidates</strong>, use <code>staging</code> in your <code>/etc/apt/sources.list.d/bitmask.list</code> file, like this:</p>
+
+<pre><code>sudo gedit /etc/apt/sources.list.d/bitmask.list
+deb http://deb.leap.se/client stretch staging
+</code></pre>
+
+<p>If you want to have the bleeding edge, use <code>master</code> instead. Beware that this can be unstable at times:</p>
+
+<pre><code>deb http://deb.leap.se/client stretch master
+</code></pre>
+
+<h1><a name="removing-the-packages"></a>Removing the packages</h1>
+
+<p>If you want to remove bitmask from your system:</p>
+
+<pre><code>sudo -s
+apt remove bitmask leap-archive-keyring
+rm /etc/apt/sources.list.d/bitmask.list
+</code></pre>
+
+<p>You probably also want to wipe all the files in your local user account, in:</p>
+
+<pre><code>~/.config/leap/
+</code></pre>
+
+</div>
+<footer>
+<div>
+(c) 2014-2016 LEAP Encryption Access Project
+</div>
+<div>
+Everything available for download on this site is free and open source software.
+<br>
+Source code available from
+<a href="https://leap.se/git/">https://leap.se/git</a>
+or
+<a href="https://github.com/leapcode">https://github.com/leapcode</a>.
+</div>
+</footer>
+</body>
+</html>
diff --git a/public/linux/debs/index.pt.html b/public/linux/debs/index.pt.html
new file mode 100644 (file)
index 0000000..cc88f0c
--- /dev/null
@@ -0,0 +1,76 @@
+<!DOCTYPE html>
+<html lang='pt'>
+<head>
+<title>
+Bitmask debian/ubuntu repositories - Bitmask Downloads
+</title>
+<meta content='width=device-width, initial-scale=1.0' name='viewport'>
+<meta charset='utf-8'>
+<link href='/assets/bootstrap.min.css' rel='stylesheet'>
+<link href='/assets/font-awesome/css/font-awesome.min.css' rel='stylesheet'>
+<link href='/assets/style.css' rel='stylesheet'>
+<script src='/assets/js/jquery.min.js'></script>
+</head>
+<body>
+<a class='bm-masthead' href='/'></a>
+<div class='bm-bar'>
+Bitmask Downloads
+</div>
+<div class='bm-main container'>
+<h1><a name="supported-distributions"></a>Supported distributions</h1>
+
+<p>We provide packages for <strong>ubuntu</strong> <code>zesty</code> (17.04), <strong>debian</strong> <code>stretch</code> (<em>stable</em>) and <code>buster</code> (<em>testing</em>).
+Try the <a href="/pt/linux#standalone-bundles">standalone bundles</a> if your distribution is not there.</p>
+
+<p>Change <code>stretch</code> in the following instructions for the one you are using:</p>
+
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
+</code></pre>
+
+<h1><a name="release-staging-or-master"></a>Release, staging, or master?</h1>
+
+<p>Above, the <code>release</code> component tracks only the <strong>stable</strong> releases. That is probably what you want to use.</p>
+
+<p>If you want <strong>alpha</strong> versions and <strong>release candidates</strong>, use <code>staging</code> in your <code>/etc/apt/sources.list.d/bitmask.list</code> file, like this:</p>
+
+<pre><code>sudo gedit /etc/apt/sources.list.d/bitmask.list
+deb http://deb.leap.se/client stretch staging
+</code></pre>
+
+<p>If you want to have the bleeding edge, use <code>master</code> instead. Beware that this can be unstable at times:</p>
+
+<pre><code>deb http://deb.leap.se/client stretch master
+</code></pre>
+
+<h1><a name="removing-the-packages"></a>Removing the packages</h1>
+
+<p>If you want to remove bitmask from your system:</p>
+
+<pre><code>sudo -s
+apt remove bitmask leap-archive-keyring
+rm /etc/apt/sources.list.d/bitmask.list
+</code></pre>
+
+<p>You probably also want to wipe all the files in your local user account, in:</p>
+
+<pre><code>~/.config/leap/
+</code></pre>
+
+</div>
+<footer>
+<div>
+(c) 2014-2016 LEAP Encryption Access Project
+</div>
+<div>
+Everything available for download on this site is free and open source software.
+<br>
+Source code available from
+<a href="https://leap.se/git/">https://leap.se/git</a>
+or
+<a href="https://github.com/leapcode">https://github.com/leapcode</a>.
+</div>
+</footer>
+</body>
+</html>
diff --git a/public/linux/debs/index.ru.html b/public/linux/debs/index.ru.html
new file mode 100644 (file)
index 0000000..249aab0
--- /dev/null
@@ -0,0 +1,76 @@
+<!DOCTYPE html>
+<html lang='ru'>
+<head>
+<title>
+Bitmask debian/ubuntu repositories - Скачать Bitmask
+</title>
+<meta content='width=device-width, initial-scale=1.0' name='viewport'>
+<meta charset='utf-8'>
+<link href='/assets/bootstrap.min.css' rel='stylesheet'>
+<link href='/assets/font-awesome/css/font-awesome.min.css' rel='stylesheet'>
+<link href='/assets/style.css' rel='stylesheet'>
+<script src='/assets/js/jquery.min.js'></script>
+</head>
+<body>
+<a class='bm-masthead' href='/'></a>
+<div class='bm-bar'>
+Скачать Bitmask
+</div>
+<div class='bm-main container'>
+<h1><a name="supported-distributions"></a>Supported distributions</h1>
+
+<p>We provide packages for <strong>ubuntu</strong> <code>zesty</code> (17.04), <strong>debian</strong> <code>stretch</code> (<em>stable</em>) and <code>buster</code> (<em>testing</em>).
+Try the <a href="/ru/linux#standalone-bundles">standalone bundles</a> if your distribution is not there.</p>
+
+<p>Change <code>stretch</code> in the following instructions for the one you are using:</p>
+
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
+</code></pre>
+
+<h1><a name="release-staging-or-master"></a>Release, staging, or master?</h1>
+
+<p>Above, the <code>release</code> component tracks only the <strong>stable</strong> releases. That is probably what you want to use.</p>
+
+<p>If you want <strong>alpha</strong> versions and <strong>release candidates</strong>, use <code>staging</code> in your <code>/etc/apt/sources.list.d/bitmask.list</code> file, like this:</p>
+
+<pre><code>sudo gedit /etc/apt/sources.list.d/bitmask.list
+deb http://deb.leap.se/client stretch staging
+</code></pre>
+
+<p>If you want to have the bleeding edge, use <code>master</code> instead. Beware that this can be unstable at times:</p>
+
+<pre><code>deb http://deb.leap.se/client stretch master
+</code></pre>
+
+<h1><a name="removing-the-packages"></a>Removing the packages</h1>
+
+<p>If you want to remove bitmask from your system:</p>
+
+<pre><code>sudo -s
+apt remove bitmask leap-archive-keyring
+rm /etc/apt/sources.list.d/bitmask.list
+</code></pre>
+
+<p>You probably also want to wipe all the files in your local user account, in:</p>
+
+<pre><code>~/.config/leap/
+</code></pre>
+
+</div>
+<footer>
+<div>
+(c) 2014-2016 LEAP Encryption Access Project
+</div>
+<div>
+Everything available for download on this site is free and open source software.
+<br>
+Source code available from
+<a href="https://leap.se/git/">https://leap.se/git</a>
+or
+<a href="https://github.com/leapcode">https://github.com/leapcode</a>.
+</div>
+</footer>
+</body>
+</html>
index 8b3f1c5..175a73a 100644 (file)
@@ -17,190 +17,30 @@ Linux - Bitmask Downloads
 Bitmask Downloads
 </div>
 <div class='bm-main container'>
-<div id="TOC"><ol>
-  <li>
-    <a href="#introduction">Introduction</a>
-  </li>
-  <li>
-    <a href="#stand-alone-bundle">Stand Alone Bundle</a>
-  </li>
-  <li>
-    <a href="#ubuntu-packages">Ubuntu Packages</a>
-    <ol>
-      <li>
-        <a href="#ubuntu-1604-lts-xenial-xerus">Ubuntu 16.04 LTS (Xenial Xerus)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1510-wily-werewolf">Ubuntu 15.10 (Wily Werewolf)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1504-vivid-vervet">Ubuntu 15.04 (Vivid Vervet)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#debian-packages">Debian Packages</a>
-    <ol>
-      <li>
-        <a href="#debian-8-oldstablejessie">Debian 8 (Oldstable/Jessie)</a>
-      </li>
-      <li>
-        <a href="#debian-stable-stretch">Debian Stable (Stretch)</a>
-      </li>
-      <li>
-        <a href="#debian-unstable-sid">Debian Unstable (Sid)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#upgrading">Upgrading</a>
-  </li>
-  <li>
-    <a href="#latest-builds">Latest builds</a>
-  </li>
-</ol></div>
+<h1><a name="standalone-bundles"></a>Standalone Bundles</h1>
 
-<p><div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-info'>
-      <b>NOTE:</b> Encrypted email support in Bitmask is still experimental.
-    </div>
-  </div>
-</div>
-</p>
-
-<h1><a name="introduction"></a>Introduction</h1>
-
-<p>There are two ways to install Bitmask on Linux, as a <strong>package</strong> or as a stand-alone <strong>bundle</strong>.</p>
-
-<ul>
-<li><strong>Packages</strong>: run faster, and are better integrated with the desktop environment.</li>
-<li><strong>Bundles</strong>: do not require root, and can be installed on a portable thumb drive.</li>
-</ul>
-
-
-<p>To find out which distribution you are running, open a terminal and type in the following:</p>
-
-<pre><code>cat /etc/issue
-</code></pre>
-
-<h1><a name="stand-alone-bundle"></a>Stand Alone Bundle</h1>
-
-<p>The Bitmask stand alone bundle should work on most recent versions of Debian and Ubuntu. You are welcome to try the bundle on other distributions, it sometimes works. Alternately, you can <a href="https://leap.se/en/docs/get-involved/source">build it from source</a>.</p>
-
-<p>Our most recent stable release is only available for a 64 bit kernel.</p>
-
-<table class="table">
-<tr><td>
-  <a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
+<p><a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
   <i class='fa fa-cloud-download fa-lg'></i>
-  Download 64 bit
+  Download (64 bit)
 </a>
-
-</td><td>
-  <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">Signature file</a>
-</td></tr>
-</table>
-
-
-<p>Optionally, you can <a href="/en/signature-verification">authenticate the signature</a> using LEAP&rsquo;s archive signing key.</p>
-
-<p>If you want to try an experimental or release candidate versions of Bitmask, you can browse the <a href="https://dl.bitmask.net/client/linux">full list of available downloads</a>.</p>
-
-<h1><a name="ubuntu-packages"></a>Ubuntu Packages</h1>
-
-<h3><a name="ubuntu-1604-lts-xenial-xerus"></a>Ubuntu 16.04 LTS (Xenial Xerus)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian xenial main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;apt update&#x000A;apt upgrade</pre>
 </p>
 
-<h3><a name="ubuntu-1510-wily-werewolf"></a>Ubuntu 15.10 (Wily Werewolf)</h3>
+<p>The <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">signature</a> can be <a href="/en/signature-verification">verified</a> using LEAP&rsquo;s archive signing key. You can browse <a href="https://dl.bitmask.net/client/linux">the downloads</a>, including release candidates.</p>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
+<p>If you want to try the latest code, you can download the <a href="https://0xacab.org/leap/bitmask-dev/-/jobs/artifacts/master/download?job=bitmask_latest_bundle">latest bundle</a> that is built automatically for every change.</p>
 
-<h3><a name="ubuntu-1504-vivid-vervet"></a>Ubuntu 15.04 (Vivid Vervet)</h3>
+<h1><a name="debianubuntu"></a>Debian/ubuntu</h1>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian utopic main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
-
-<h1><a name="debian-packages"></a>Debian Packages</h1>
-
-<p>If you are using Wheezy, then you will need to use the bundle method.</p>
-
-<h3><a name="debian-8-oldstablejessie"></a>Debian 8 (Oldstable/Jessie)</h3>
-
-<p><p class='b'>To install</p>
-<pre>Follow <a href="https://backports.debian.org/Instructions">instructions for activating Debian Backports</a>.
-sudo -s
-apt install -t jessie-backports leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-stable-stretch"></a>Debian Stable (Stretch)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-unstable-sid"></a>Debian Unstable (Sid)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h1><a name="upgrading"></a>Upgrading</h1>
-
-<p><strong>From stand-alone bundles</strong>: Bitmask should upgrade itself automatically (for versions equal or later than 0.7.0). If you are running a version prior to 0.7.0, you can download the new bundle and copy the &ldquo;config&rdquo; folder from the old bundle directory.</p>
-
-<p><strong>From packages</strong>: If you are running from packages, then you can trigger an update like so:</p>
-
-<pre><code>apt-get update
-apt-get dist-upgrade
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
 </code></pre>
 
-<p><strong>NOTE:</strong> When upgrading the version of your operating system, you must also follow the directions listed under &ldquo;When upgrading the OS&rdquo; above.</p>
-
-<h1><a name="latest-builds"></a>Latest builds</h1>
+<p>Change <code>stretch</code> for <code>zesty</code> or <code>buster</code>, according to your distro. Read more about <a href="/en/linux/debs">our different repositories</a> for deb packages.</p>
 
-<p>For the more adventurous we make stand alone bundle builds available after each commit or merge. Currently best tested again cdev.bitmask.net, because of ongoing changes of Soledad.</p>
+<h1><a name="other"></a>Other</h1>
 
-<p>  <a class='btn btn-primary btn-large' href='https://0xacab.org/leap/bitmask-dev/builds/artifacts/master/download?job=bitmask_latest_bundle'>
-  <i class='fa fa-cloud-download fa-lg'></i>
-  Download latest experimental bundle
-</a>
-</p>
+<p>If none of the above methods works for you, you can try to install <a href="http://bitmask.readthedocs.io/en/latest/installation/index.html#with-pip">via pip</a> or <a href="http://bitmask.readthedocs.io/en/latest/hacking/devenv.html">from source</a>, or get in contact with us if you want to package Bitmask for some other distribution.</p>
 
 </div>
 <footer>
index b16e323..c66c1a8 100644 (file)
@@ -17,190 +17,30 @@ Linux - Bitmask Downloads
 Bitmask Downloads
 </div>
 <div class='bm-main container'>
-<div id="TOC"><ol>
-  <li>
-    <a href="#introduction">Introduction</a>
-  </li>
-  <li>
-    <a href="#stand-alone-bundle">Stand Alone Bundle</a>
-  </li>
-  <li>
-    <a href="#ubuntu-packages">Ubuntu Packages</a>
-    <ol>
-      <li>
-        <a href="#ubuntu-1604-lts-xenial-xerus">Ubuntu 16.04 LTS (Xenial Xerus)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1510-wily-werewolf">Ubuntu 15.10 (Wily Werewolf)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1504-vivid-vervet">Ubuntu 15.04 (Vivid Vervet)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#debian-packages">Debian Packages</a>
-    <ol>
-      <li>
-        <a href="#debian-8-oldstablejessie">Debian 8 (Oldstable/Jessie)</a>
-      </li>
-      <li>
-        <a href="#debian-stable-stretch">Debian Stable (Stretch)</a>
-      </li>
-      <li>
-        <a href="#debian-unstable-sid">Debian Unstable (Sid)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#upgrading">Upgrading</a>
-  </li>
-  <li>
-    <a href="#latest-builds">Latest builds</a>
-  </li>
-</ol></div>
+<h1><a name="standalone-bundles"></a>Standalone Bundles</h1>
 
-<p><div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-info'>
-      <b>NOTE:</b> Encrypted email support in Bitmask is still experimental.
-    </div>
-  </div>
-</div>
-</p>
-
-<h1><a name="introduction"></a>Introduction</h1>
-
-<p>There are two ways to install Bitmask on Linux, as a <strong>package</strong> or as a stand-alone <strong>bundle</strong>.</p>
-
-<ul>
-<li><strong>Packages</strong>: run faster, and are better integrated with the desktop environment.</li>
-<li><strong>Bundles</strong>: do not require root, and can be installed on a portable thumb drive.</li>
-</ul>
-
-
-<p>To find out which distribution you are running, open a terminal and type in the following:</p>
-
-<pre><code>cat /etc/issue
-</code></pre>
-
-<h1><a name="stand-alone-bundle"></a>Stand Alone Bundle</h1>
-
-<p>The Bitmask stand alone bundle should work on most recent versions of Debian and Ubuntu. You are welcome to try the bundle on other distributions, it sometimes works. Alternately, you can <a href="https://leap.se/en/docs/get-involved/source">build it from source</a>.</p>
-
-<p>Our most recent stable release is only available for a 64 bit kernel.</p>
-
-<table class="table">
-<tr><td>
-  <a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
+<p><a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
   <i class='fa fa-cloud-download fa-lg'></i>
-  Download 64 bit
+  Download (64 bit)
 </a>
-
-</td><td>
-  <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">Signature file</a>
-</td></tr>
-</table>
-
-
-<p>Optionally, you can <a href="/es/signature-verification">authenticate the signature</a> using LEAP&rsquo;s archive signing key.</p>
-
-<p>If you want to try an experimental or release candidate versions of Bitmask, you can browse the <a href="https://dl.bitmask.net/client/linux">full list of available downloads</a>.</p>
-
-<h1><a name="ubuntu-packages"></a>Ubuntu Packages</h1>
-
-<h3><a name="ubuntu-1604-lts-xenial-xerus"></a>Ubuntu 16.04 LTS (Xenial Xerus)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian xenial main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;apt update&#x000A;apt upgrade</pre>
 </p>
 
-<h3><a name="ubuntu-1510-wily-werewolf"></a>Ubuntu 15.10 (Wily Werewolf)</h3>
+<p>The <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">signature</a> can be <a href="/es/signature-verification">verified</a> using LEAP&rsquo;s archive signing key. You can browse <a href="https://dl.bitmask.net/client/linux">the downloads</a>, including release candidates.</p>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
+<p>If you want to try the latest code, you can download the <a href="https://0xacab.org/leap/bitmask-dev/-/jobs/artifacts/master/download?job=bitmask_latest_bundle">latest bundle</a> that is built automatically for every change.</p>
 
-<h3><a name="ubuntu-1504-vivid-vervet"></a>Ubuntu 15.04 (Vivid Vervet)</h3>
+<h1><a name="debianubuntu"></a>Debian/ubuntu</h1>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian utopic main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
-
-<h1><a name="debian-packages"></a>Debian Packages</h1>
-
-<p>If you are using Wheezy, then you will need to use the bundle method.</p>
-
-<h3><a name="debian-8-oldstablejessie"></a>Debian 8 (Oldstable/Jessie)</h3>
-
-<p><p class='b'>To install</p>
-<pre>Follow <a href="https://backports.debian.org/Instructions">instructions for activating Debian Backports</a>.
-sudo -s
-apt install -t jessie-backports leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-stable-stretch"></a>Debian Stable (Stretch)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-unstable-sid"></a>Debian Unstable (Sid)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h1><a name="upgrading"></a>Upgrading</h1>
-
-<p><strong>From stand-alone bundles</strong>: Bitmask should upgrade itself automatically (for versions equal or later than 0.7.0). If you are running a version prior to 0.7.0, you can download the new bundle and copy the &ldquo;config&rdquo; folder from the old bundle directory.</p>
-
-<p><strong>From packages</strong>: If you are running from packages, then you can trigger an update like so:</p>
-
-<pre><code>apt-get update
-apt-get dist-upgrade
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
 </code></pre>
 
-<p><strong>NOTE:</strong> When upgrading the version of your operating system, you must also follow the directions listed under &ldquo;When upgrading the OS&rdquo; above.</p>
-
-<h1><a name="latest-builds"></a>Latest builds</h1>
+<p>Change <code>stretch</code> for <code>zesty</code> or <code>buster</code>, according to your distro. Read more about <a href="/es/linux/debs">our different repositories</a> for deb packages.</p>
 
-<p>For the more adventurous we make stand alone bundle builds available after each commit or merge. Currently best tested again cdev.bitmask.net, because of ongoing changes of Soledad.</p>
+<h1><a name="other"></a>Other</h1>
 
-<p>  <a class='btn btn-primary btn-large' href='https://0xacab.org/leap/bitmask-dev/builds/artifacts/master/download?job=bitmask_latest_bundle'>
-  <i class='fa fa-cloud-download fa-lg'></i>
-  Download latest experimental bundle
-</a>
-</p>
+<p>If none of the above methods works for you, you can try to install <a href="http://bitmask.readthedocs.io/en/latest/installation/index.html#with-pip">via pip</a> or <a href="http://bitmask.readthedocs.io/en/latest/hacking/devenv.html">from source</a>, or get in contact with us if you want to package Bitmask for some other distribution.</p>
 
 </div>
 <footer>
index 168f2d2..9cb5886 100644 (file)
@@ -17,190 +17,30 @@ Linux - Bitmask Downloads
 Bitmask Downloads
 </div>
 <div class='bm-main container'>
-<div id="TOC"><ol>
-  <li>
-    <a href="#introduction">Introduction</a>
-  </li>
-  <li>
-    <a href="#stand-alone-bundle">Stand Alone Bundle</a>
-  </li>
-  <li>
-    <a href="#ubuntu-packages">Ubuntu Packages</a>
-    <ol>
-      <li>
-        <a href="#ubuntu-1604-lts-xenial-xerus">Ubuntu 16.04 LTS (Xenial Xerus)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1510-wily-werewolf">Ubuntu 15.10 (Wily Werewolf)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1504-vivid-vervet">Ubuntu 15.04 (Vivid Vervet)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#debian-packages">Debian Packages</a>
-    <ol>
-      <li>
-        <a href="#debian-8-oldstablejessie">Debian 8 (Oldstable/Jessie)</a>
-      </li>
-      <li>
-        <a href="#debian-stable-stretch">Debian Stable (Stretch)</a>
-      </li>
-      <li>
-        <a href="#debian-unstable-sid">Debian Unstable (Sid)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#upgrading">Upgrading</a>
-  </li>
-  <li>
-    <a href="#latest-builds">Latest builds</a>
-  </li>
-</ol></div>
+<h1><a name="standalone-bundles"></a>Standalone Bundles</h1>
 
-<p><div class='row'>
-  <div class='col-sm-8 col-sm-offset-2'>
-    <div class='p alert alert-info'>
-      <b>NOTE:</b> Encrypted email support in Bitmask is still experimental.
-    </div>
-  </div>
-</div>
-</p>
-
-<h1><a name="introduction"></a>Introduction</h1>
-
-<p>There are two ways to install Bitmask on Linux, as a <strong>package</strong> or as a stand-alone <strong>bundle</strong>.</p>
-
-<ul>
-<li><strong>Packages</strong>: run faster, and are better integrated with the desktop environment.</li>
-<li><strong>Bundles</strong>: do not require root, and can be installed on a portable thumb drive.</li>
-</ul>
-
-
-<p>To find out which distribution you are running, open a terminal and type in the following:</p>
-
-<pre><code>cat /etc/issue
-</code></pre>
-
-<h1><a name="stand-alone-bundle"></a>Stand Alone Bundle</h1>
-
-<p>The Bitmask stand alone bundle should work on most recent versions of Debian and Ubuntu. You are welcome to try the bundle on other distributions, it sometimes works. Alternately, you can <a href="https://leap.se/en/docs/get-involved/source">build it from source</a>.</p>
-
-<p>Our most recent stable release is only available for a 64 bit kernel.</p>
-
-<table class="table">
-<tr><td>
-  <a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
+<p><a class='btn btn-primary btn-large' href='https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz'>
   <i class='fa fa-cloud-download fa-lg'></i>
-  Download 64 bit
+  Download (64 bit)
 </a>
-
-</td><td>
-  <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">Signature file</a>
-</td></tr>
-</table>
-
-
-<p>Optionally, you can <a href="/pt/signature-verification">authenticate the signature</a> using LEAP&rsquo;s archive signing key.</p>
-
-<p>If you want to try an experimental or release candidate versions of Bitmask, you can browse the <a href="https://dl.bitmask.net/client/linux">full list of available downloads</a>.</p>
-
-<h1><a name="ubuntu-packages"></a>Ubuntu Packages</h1>
-
-<h3><a name="ubuntu-1604-lts-xenial-xerus"></a>Ubuntu 16.04 LTS (Xenial Xerus)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian xenial main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian xenial main"&#x000A;apt update&#x000A;apt upgrade</pre>
 </p>
 
-<h3><a name="ubuntu-1510-wily-werewolf"></a>Ubuntu 15.10 (Wily Werewolf)</h3>
+<p>The <a href="https://dl.bitmask.net/client/linux/stable/Bitmask-linux64-latest.tar.gz.asc">signature</a> can be <a href="/pt/signature-verification">verified</a> using LEAP&rsquo;s archive signing key. You can browse <a href="https://dl.bitmask.net/client/linux">the downloads</a>, including release candidates.</p>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian wily main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian wily main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
+<p>If you want to try the latest code, you can download the <a href="https://0xacab.org/leap/bitmask-dev/-/jobs/artifacts/master/download?job=bitmask_latest_bundle">latest bundle</a> that is built automatically for every change.</p>
 
-<h3><a name="ubuntu-1504-vivid-vervet"></a>Ubuntu 15.04 (Vivid Vervet)</h3>
+<h1><a name="debianubuntu"></a>Debian/ubuntu</h1>
 
-<p><p class='b'>To install</p>
-<pre>sudo -s&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;wget -O- https://dl.bitmask.net/apt.key | apt-key add -&#x000A;apt update&#x000A;apt install bitmask leap-archive-keyring&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;apt-key del 0x1E34A1828E207901&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian vivid main"&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;add-apt-repository --remove "deb http://deb.bitmask.net/debian utopic main"&#x000A;add-apt-repository "deb http://deb.bitmask.net/debian vivid main"&#x000A;apt update&#x000A;apt upgrade</pre>
-</p>
-
-<h1><a name="debian-packages"></a>Debian Packages</h1>
-
-<p>If you are using Wheezy, then you will need to use the bundle method.</p>
-
-<h3><a name="debian-8-oldstablejessie"></a>Debian 8 (Oldstable/Jessie)</h3>
-
-<p><p class='b'>To install</p>
-<pre>Follow <a href="https://backports.debian.org/Instructions">instructions for activating Debian Backports</a>.
-sudo -s
-apt install -t jessie-backports leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian jessie main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-stable-stretch"></a>Debian Stable (Stretch)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian testing main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h3><a name="debian-unstable-sid"></a>Debian Unstable (Sid)</h3>
-
-<p><p class='b'>To install</p>
-<pre>sudo -s
-apt install leap-archive-keyring
-echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt install bitmask&#x000A;</pre>
-<p class='b'>To remove</p>
-<pre>sudo -s&#x000A;apt remove bitmask leap-archive-keyring&#x000A;rm /etc/apt/sources.list.d/bitmask.list&#x000A;</pre>
-<p class='b'>When upgrading to this OS</p>
-<pre>sudo -s&#x000A;echo "deb http://deb.bitmask.net/debian sid main" > /etc/apt/sources.list.d/bitmask.list&#x000A;apt update&#x000A;apt upgrade&#x000A;</pre>
-</p>
-
-<h1><a name="upgrading"></a>Upgrading</h1>
-
-<p><strong>From stand-alone bundles</strong>: Bitmask should upgrade itself automatically (for versions equal or later than 0.7.0). If you are running a version prior to 0.7.0, you can download the new bundle and copy the &ldquo;config&rdquo; folder from the old bundle directory.</p>
-
-<p><strong>From packages</strong>: If you are running from packages, then you can trigger an update like so:</p>
-
-<pre><code>apt-get update
-apt-get dist-upgrade
+<pre><code>sudo apt install leap-archive-keyring
+sudo sh -c 'echo "deb http://deb.leap.se/client stretch release" &gt; /etc/apt/sources.list.d/bitmask.list'
+sudo apt update &amp;&amp; sudo apt install bitmask
 </code></pre>
 
-<p><strong>NOTE:</strong> When upgrading the version of your operating system, you must also follow the directions listed under &ldquo;When upgrading the OS&rdquo; above.</p>
-
-<h1><a name="latest-builds"></a>Latest builds</h1>
+<p>Change <code>stretch</code> for <code>zesty</code> or <code>buster</code>, according to your distro. Read more about <a href="/pt/linux/debs">our different repositories</a> for deb packages.</p>
 
-<p>For the more adventurous we make stand alone bundle builds available after each commit or merge. Currently best tested again cdev.bitmask.net, because of ongoing changes of Soledad.</p>
+<h1><a name="other"></a>Other</h1>
 
-<p>  <a class='btn btn-primary btn-large' href='https://0xacab.org/leap/bitmask-dev/builds/artifacts/master/download?job=bitmask_latest_bundle'>
-  <i class='fa fa-cloud-download fa-lg'></i>
-  Download latest experimental bundle
-</a>
-</p>
+<p>If none of the above methods works for you, you can try to install <a href="http://bitmask.readthedocs.io/en/latest/installation/index.html#with-pip">via pip</a> or <a href="http://bitmask.readthedocs.io/en/latest/hacking/devenv.html">from source</a>, or get in contact with us if you want to package Bitmask for some other distribution.</p>
 
 </div>
 <footer>
index a8649a9..3edc546 100644 (file)
@@ -17,43 +17,6 @@ Linux - Скачать Bitmask
 Скачать Bitmask
 </div>
 <div class='bm-main container'>
-<div id="TOC"><ol>
-  <li>
-    <a href="#%D0%9E%D0%B1%D0%BD%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5">Обновление</a>
-  </li>
-  <li>
-    <a href="#%D0%A3%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%B8%D1%82%D1%8C-%D0%BA%D0%B0%D0%BA-%D0%BF%D0%B0%D0%BA%D0%B5%D1%82">Установить как пакет</a>
-    <ol>
-      <li>
-        <a href="#ubuntu-1604-xenial-xerus">Ubuntu 16.04 (Xenial Xerus)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1510-wily-werewolf">Ubuntu 15.10 (Wily Werewolf)</a>
-      </li>
-      <li>
-        <a href="#ubuntu-1504-vivid-vervet">Ubuntu 15.04 (Vivid Vervet)</a>
-      </li>
-      <li>
-        <a href="#debian-80-jessie">Debian 8.0 (Jessie)</a>
-      </li>
-    </ol>
-  </li>
-  <li>
-    <a href="#%D0%A3%D1%81%D1%82%D0%B0%D0%BD%D0%BE%D0%B2%D0%B8%D1%82%D1%8C-%D0%B8%D0%B7-%D0%B0%D1%80%D1%85%D0%B8%D0%B2%D0%B0">Установить из архива</a>
-    <ol>
-      <li>
-        <a href="#32-%D0%B1%D0%B8%D1%82%D0%BD%D0%BE%D0%B5-%D1%8F%D0%B4%D1%80%D0%BE">32-битное ядро</a>
-      </li>
-      <li>
-        <a href="#64-%D0%B1%D0%B8%D1%82%D0%BD%D0%BE%D0%B5-%D1%8F%D0%B4%D1%80%D0%BE">64-битное ядро</a>
-      </li>
-      <li>
-        <a href="#%D0%94%D1%80%D1%83%D0%B3%D0%B8%D0%B5-%D0%B2%D0%B0%D1%80%D0%B8%D0%B0%D0%BD%D1%82%D1%8B">Другие варианты</a>
-      </li>
-    </ol>
-  </li>
-</ol></div>
-
 <p><ol>
 </ol></p>
 <h2><a name="%D0%9E%D0%B1%D0%BD%D0%BE%D0%B2%D0%BB%D0%B5%D0%BD%D0%B8%D0%B5"></a>Обновление</h2>